| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Classes | Functions
funnel_text_dialog.h File Reference
`#include "epan/funnel.h"`
`#include "geometry_state_dialog.h"`
`#include <QDialog>`

Go to the source code of this file.

## Classes
struct | _funnel_text_window_t
class | FunnelTextDialog
| A dialog displaying text output from a Lua funnel script. More...

## Functions
void | text_window_set_text (funnel_text_window_t *ftw, const char *text)
| Set the text in a funnel text window.
void | text_window_append (funnel_text_window_t *ftw, const char *text)
| Append text to a funnel text window.
void | text_window_prepend (funnel_text_window_t *ftw, const char *text)
| Prepend text to a funnel text window.
void | text_window_clear (funnel_text_window_t *ftw)
| Clears the text in the funnel text window.
const char * | text_window_get_text (funnel_text_window_t *ftw)
| Gets the text from a funnel text window.
void | text_window_set_close_cb (funnel_text_window_t *ftw, text_win_close_cb_t close_cb, void *close_cb_data)
| Set the close callback for a funnel text window.
void | text_window_set_editable (funnel_text_window_t *ftw, bool editable)
| Set the editable state of the text window.
void | text_window_destroy (funnel_text_window_t *ftw)
| Destroys a funnel text window.
void | text_window_add_button (funnel_text_window_t *ftw, funnel_bt_t *funnel_button, const char *label)
| Adds a button to the text window.

## Detailed Description

Wireshark - Network traffic analyzer By Gerald Combs geral.nosp@m.d@wi.nosp@m.resha.nosp@m.rk.o.nosp@m.rg Copyright 1998 Gerald Combs

SPDX-License-Identifier: GPL-2.0-or-later

## Function Documentation

## ◆ text_window_add_button()

void text_window_add_button | ( | funnel_text_window_t * | ftw,
|  | funnel_bt_t * | funnel_button,
|  | const char * | label )

Adds a button to the text window.

Parameters

  ftw | Pointer to the funnel text window structure.
  funnel_button | Pointer to the funnel button structure.
  label | The label for the button.

## ◆ text_window_append()

void text_window_append | ( | funnel_text_window_t * | ftw,
|  | const char * | text )

Append text to a funnel text window.

Parameters

  ftw | Pointer to the funnel text window structure.
  text | The text to append.

## ◆ text_window_clear()

void text_window_clear | ( | funnel_text_window_t * | ftw | ) |

Clears the text in the funnel text window.

Parameters

  ftw | Pointer to the funnel text window structure.

## ◆ text_window_destroy()

void text_window_destroy | ( | funnel_text_window_t * | ftw | ) |

Destroys a funnel text window.

Parameters

  ftw | Pointer to the funnel text window structure.

## ◆ text_window_get_text()

const char * text_window_get_text | ( | funnel_text_window_t * | ftw | ) |

Gets the text from a funnel text window.

Parameters

  ftw | Pointer to the funnel text window structure.

Returns
  A pointer to the text in the window.

## ◆ text_window_prepend()

void text_window_prepend | ( | funnel_text_window_t * | ftw,
|  | const char * | text )

Prepend text to a funnel text window.

Parameters

  ftw | Pointer to the funnel text window structure.
  text | The text to prepend.

## ◆ text_window_set_close_cb()

void text_window_set_close_cb | ( | funnel_text_window_t * | ftw,
|  | text_win_close_cb_t | close_cb,
|  | void * | close_cb_data )

Set the close callback for a funnel text window.

Parameters

  ftw | Pointer to the funnel text window structure.
  close_cb | The callback function to be called when the window is closed.
  close_cb_data | User data to be passed to the close callback function.

## ◆ text_window_set_editable()

void text_window_set_editable | ( | funnel_text_window_t * | ftw,
|  | bool | editable )

Set the editable state of the text window.

Parameters

  ftw | Pointer to the funnel text window structure.
  editable | Boolean indicating whether the text window should be editable.

## ◆ text_window_set_text()

void text_window_set_text | ( | funnel_text_window_t * | ftw,
|  | const char * | text )

Set the text in a funnel text window.

Parameters

  ftw | Pointer to the funnel text window.
  text | The new text to set.